package ru.dbotthepony.kstarbound.json.builder

import com.google.gson.JsonObject
import ru.dbotthepony.kstarbound.defs.util.flattenJsonElement

/**
 * Для классов, которые хотят принимать Java'вские [Map] напрямую, как оригинальную JSON структуру
 */
interface INativeJsonHolder : IJsonHolder {
	override fun acceptJson(json: JsonObject) {
		acceptJson(flattenJsonElement(json))
	}

	fun acceptJson(json: MutableMap<String, Any>)
}